# Retrieve a processed usage record Retrieve the details of a specific Processed Usage Record object. Endpoint: GET /object-query/processed-usages/{key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `key` (string, required) Object ID or Number. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "usage", "invoiceitem", "creditmemoitem" - `filter[]` (array) A case-insensitive filter on the list. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `id` (string) The unique identifier of the processed usage. - `createdById` (string) The unique identifier of the user who created the processed usage. - `createdDate` (string) The date and time when the processed usage was created. - `updatedById` (string) The unique identifier of the user who last updated the processed usage. - `updatedDate` (string) The date and time when the processed usage was last updated. - `usageId` (string) The unique identifier of the usage. - `amount` (number) The amount of the processed usage. - `billingPeriodEndDate` (string) The end date of the billing period for the processed usage. - `billingPeriodStartDate` (string) The start date of the billing period for the processed usage. - `invoiceItemId` (string) The unique identifier of the invoice item associated with the processed usage. - `creditMemoItemId` (string) The unique identifier of the credit memo item associated with the processed usage. - `ratePlanChargeId` (string) ID of the rate plan charge associated with the processed usage. - `usage` (object) - `usage.id` (string) The unique identifier of the usage. - `usage.createdById` (string) The unique identifier of the user who created the usage. - `usage.createdDate` (string) The date and time when the usage was created. - `usage.updatedById` (string) The unique identifier of the user who last updated the usage. - `usage.updatedDate` (string) The date and time when the usage was last updated. - `usage.accountId` (string) The ID of the customer account associated with the usage. - `usage.accountNumber` (string) The number of the customer account associated with the usage. - `usage.ratePlanChargeId` (string) ID of the rate plan charge that pays for this usage. - `usage.endDateTime` (string) End date of the time period in which usage is tracked. Zuora uses this field value to determine the usage date. - `usage.productRatePlanChargeId` (string) The product rate plan charge number that you use for a dynamic usage charge. - `usage.quantity` (number) Number of units used. - `usage.rbeStatus` (string) Indicates if the rating and billing engine (RBE) processed usage data for an invoice. Enum: "Importing", "Pending", "Processed" - `usage.sourceType` (string) Indicates if the usage records were imported from the web-based UI or the API. Enum: "API", "Import" - `usage.startDateTime` (string) Start date of the time period in which usage is tracked. Zuora uses this field value to determine the usage date. - `usage.subscriptionId` (string) The original ID of the subscription that contains the fees related to the usage data. - `usage.submissionDateTime` (string) The date and time when the usage was submitted. - `usage.uOM` (string) The units to measure usage. Units of measure are configured in the web-based UI. Your values depend on your configuration in Billing Settings. - `usage.description` (string) A description of the usage record. - `usage.importId` (string) The unique identifier of the import. - `usage.uniqueKey` (string) a customer-defined specific identifier of a usage record. Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature or the Unbilled Usage feature enabled. See [Upload usage record with unique key](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Prepaid_balance_transactions#Upload_usage_record_with_unique_key) for more information. - `usage.fileId` (string) File ID of the uploaded usage records file. You can use this file ID with [Get files](https://developer.zuora.com/api-references/api/operation/GET_Files) to download the file. - `usage.fileName` (string) The name of the import file when the usage record is imported from the file. - `usage.account` (object) The account associated with the usage. - `invoiceItem` (object) - `invoiceItem.id` (string) The unique identifier of the invoice item. - `invoiceItem.createdById` (string) The unique identifier of the user who created the invoice item. - `invoiceItem.createdDate` (string) The date and time when the invoice item was created. - `invoiceItem.updatedById` (string) The unique identifier of the user who last updated the invoice item. - `invoiceItem.updatedDate` (string) The date and time when the invoice item was last updated. - `invoiceItem.invoiceId` (string) The unique identifier of the invoice to which this invoice item belongs. - `invoiceItem.invoiceScheduleId` (string) The ID of the invoice schedule associated with the rate plan charge on the subscription. Note: This field is available only if you have the Billing Schedule feature enabled. - `invoiceItem.invoiceScheduleItemId` (string) The ID of the invoice schedule item that generates this invoice item. Note: This field is available only if you have the Billing Schedule feature enabled. - `invoiceItem.ratePlanChargeId` (string) The ID of the rate plan charge associated with the invoice item. - `invoiceItem.accountingCode` (string) The accounting code associated with the invoice item. - `invoiceItem.appliedToInvoiceItemId` (string) The unique ID of the invoice item that the discount charge is applied to. - `invoiceItem.chargeAmount` (number) The amount of the charge. Note: This amount does not include taxes regardless if the charge's tax mode is inclusive or exclusive. This is the discount amount actually applied when the invoice item is a discount charge. - `invoiceItem.chargeDate` (string) The date when the invoice item is charged, in yyyy-mm-dd hh:mm:ss format. - `invoiceItem.chargeName` (string) The name of the charge. - `invoiceItem.chargeNumber` (string) Number of the charge. - `invoiceItem.commitmentChargeNumber` (string) - `invoiceItem.commitmentChargeSegmentNumber` (string) - `invoiceItem.description` (string) The description of the invoice item. - `invoiceItem.discountAmount` (number) The amount of the discount. - `invoiceItem.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the invoice item from revenue accounting. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItem.fulfillmentId` (string) The reference ID of the fulfillment associated with the invoice item. - `invoiceItem.itemShipToContactId` (string) The ID of the ship-to contact associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `invoiceItem.itemSoldToContactId` (string) The ID of the sold-to contact associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `invoiceItem.itemSoldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the invoice item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `invoiceItem.processingType` (string) The kind of the charge for the invoice item. - 0: charge - 1: discount - 2: prepayment - 3: tax Enum: "0", "1", "2", "3" - `invoiceItem.quantity` (number) The quantity of this item, in the configured unit of measure for the charge. - `invoiceItem.reflectDiscountInNetAmount` (boolean) When you apply percentage discounts to either of the following charges, you need to set the reflectDiscountInNetAmount field on your discount charge to true, to enable calculating and displaying the net amount of the following charges in Zuora Revenue. * delivery pricing charge * prepayment charge * drawdown charge Note the following: * If you are an Order to Revenue customer, when you set the reflectDiscountInNetAmount field to true, you must also set the excludeItemBillingFromRevenueAccounting field to true. * If you are a Billing - Revenue Integration customer, you must set the reflectDiscountInNetAmount field to false, otherwise an error will be returned. Billing - Revenue Integration does not support discounts on the preceding charges. * If you are a Zuora Billing customer who does not enable the Order to Revenue or Billing - Revenue Integration feature, when you apply percentage discounts to the preceding charges, you also need to set the reflectDiscountInNetAmount field to true. - `invoiceItem.revRecStartDate` (string) - `invoiceItem.serviceEndDate` (string) The end date of the service period for this item, i.e., the last day of the service period, as _yyyy-mm-dd_. - `invoiceItem.serviceStartDate` (string) The start date of the service period for this item, as _yyyy-mm-dd_. For a one-time fee item, the date of the charge. - `invoiceItem.sKU` (string) The SKU of the product associated with the invoice item. - `invoiceItem.sourceItemType` (string) The type of the source item. Enum: "SubscriptionComponent", "Rounding", "ProductRatePlanCharge", "None", "OrderLineItem" - `invoiceItem.subscriptionId` (string) ID of the subscription associated with the invoice item. - `invoiceItem.subscriptionNumber` (string) Number of the subscription associated with the invoice item. - `invoiceItem.taxAmount` (number) The amount of tax applied to the charge. - `invoiceItem.taxCode` (string) The tax code of the invoice item. Note Only when taxation feature is enabled, this field can be presented. - `invoiceItem.taxExemptAmount` (number) - `invoiceItem.taxMode` (string) The tax mode of the invoice item, indicating whether the amount of the invoice item includes tax. Enum: "TaxExclusive", "TaxInclusive" - `invoiceItem.unitPrice` (number) The per-unit price of the invoice item. Note: For discount charges, this represents the discount percentage (for percentage-based discounts) or the discount amount (for fixed-amount discounts). - `invoiceItem.uOM` (string) The unit of measure (UOM) that is configured in Settings > Billing for the product rate plan charge. - `invoiceItem.balance` (number) The balance of the invoice item. Note: This field is only available if you have the Invoice Settlement feature enabled. - `invoiceItem.numberOfDeliveries` (number) The number of deliveries dedicated to the Delivery Pricing charges. Note: This field is available only if you have the Delivery Pricing feature enabled. - `invoiceItem.accountReceivableAccountingCodeId` (string) ID of the account receivable accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItem.recognizedRevenueAccountingCodeId` (string) ID of the recognized revenue accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItem.deferredRevenueAccountingCodeId` (string) ID of the deferred revenue accounting code associated with the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItem.contractAssetAccountingCodeId` (string) ID of the accounting code for contract asset. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItem.contractLiabilityAccountingCodeId` (string) ID of the accounting code for contract liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItem.contractRecognizedRevenueAccountingCodeId` (string) ID of the accounting code for contract recognized revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItem.unbilledReceivablesAccountingCodeId` (string) - `invoiceItem.adjustmentRevenueAccountingCodeId` (string) The accounting code for adjustment revenue. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItem.adjustmentLiabilityAccountingCodeId` (string) ID of the accounting code for adjustment liability. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `invoiceItem.journalEntryId` (string) The ID of the journal entry that corresponds to this invoice item. - `invoiceItem.accountId` (string) The ID of the account associated with the invoice item. - `invoiceItem.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the invoice. - `invoiceItem.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot associated with the invoice. - `invoiceItem.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the invoice. - `invoiceItem.parentAccountId` (string) The parent account of the account associated with the invoice. Note: This field is available only if you have Customer Hierarchy enabled for your tenant. - `invoiceItem.billToContactId` (string) The ID of the bill-to contact associated with the invoice. - `invoiceItem.shipToContactId` (string) The ID of the ship-to contact associated with the invoice. - `invoiceItem.soldToContactId` (string) The ID of the sold-to contact associated with the invoice. - `invoiceItem.defaultPaymentMethodId` (string) The ID of the default payment method on the associated account. - `invoiceItem.ratePlanId` (string) The ID of the rate plan that the invoice is created from. - `invoiceItem.amendmentId` (string) The ID of the amendment associated with the subscription. Note: This field is available only if you do not have Orders enabled for your tenant. - `invoiceItem.productRatePlanChargeId` (string) The ID of the product rate plan charge that the invoice item is created from. - `invoiceItem.productRatePlanId` (string) The ID of the product rate plan that the invoice item is created from. - `invoiceItem.productId` (string) The ID of the product that the invoice item is created from. - `invoiceItem.bookingReference` (string) The booking reference of the invoice item. - `invoiceItem.itemType` (string) The type of the invoice item. - `invoiceItem.purchaseOrderNumber` (string) The purchase order number associated with the invoice item. - `invoiceItem.revRecCode` (string) The revenue recognition code. - `invoiceItem.revRecTriggerCondition` (string) The date when revenue recognition is triggered. Enum: "ContractEffectiveDate", "ServiceActivationDate", "CustomerAcceptanceDate" - `invoiceItem.revenueRecognitionRuleName` (string) The revenue recognition rule of the invoice item. Note: This field is only available if you have Zuora Finance enabled. - `invoiceItem.subscriptionOwnerId` (string) The ID of the subscription owner associated with the invoice item. - `invoiceItem.orderLineItemId` (string) The reference ID of the oder line item associated with the invoice item. - `invoiceItem.invoice` (object) The invoices to which the invoice item belongs. - `invoiceItem.subscription` (object) The invoice to which the invoice item belongs. - `invoiceItem.ratePlanCharge` (object) The rate plan charge associated with the invoice item. - `invoiceItem.orderLineItem` (object) The order line item associated with the invoice item. - `creditMemoItem` (object) - `creditMemoItem.id` (string) The unique identifier of the credit memo item. - `creditMemoItem.createdById` (string) The unique identifier of the user who created the credit memo item. - `creditMemoItem.createdDate` (string) The date and time when the credit memo item was created. - `creditMemoItem.updatedById` (string) The unique identifier of the user who last updated the credit memo item. - `creditMemoItem.updatedDate` (string) The date and time when the credit memo item was last updated. - `creditMemoItem.amount` (number) The amount of the credit memo item. For tax-inclusive credit memo items, the amount indicates the credit memo item amount including tax. For tax-exclusive credit memo items, the amount indicates the credit memo item amount excluding tax. - `creditMemoItem.amountWithoutTax` (number) The credit memo item amount excluding tax. - `creditMemoItem.appliedToItemId` (string) The unique ID of the credit memo item that the discount charge is applied to. - `creditMemoItem.appliedToOthersAmount` (number) The amount of the credit memo that is applied to other credit memo items. - `creditMemoItem.beAppliedByOthersAmount` (number) - `creditMemoItem.chargeDate` (string) The date when the credit memo item is charged, in yyyy-mm-dd hh:mm:ss format. - `creditMemoItem.description` (string) The description of the credit memo item. Note: This field is only available if you set the Zuora-Version request header to 257.0 or later [available versions](https://developer.zuora.com/api-references/api/overview/#section/API-Versions/Minor-Version). - `creditMemoItem.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude the credit memo item from revenue accounting. Note: This field is only available if you have the Billing - Revenue Integration feature enabled. - `creditMemoItem.fulfillmentId` (string) The reference ID of the fulfillment associated with the credit memo item. - `creditMemoItem.invoiceScheduleId` (string) The ID of the invoice schedule associated with the credit memo item. Note: This field is available only if you have the Billing Schedule feature enabled. - `creditMemoItem.invoiceScheduleItemId` (string) The ID of the invoice schedule item associated with the credit memo item. The credit memo item is generated during the processing of the invoice schedule item. Note: This field is available only if you have the Billing Schedule feature enabled. - `creditMemoItem.itemShipToContactId` (string) The ID of the ship-to contact associated with the credit memo item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `creditMemoItem.itemSoldToContactId` (string) The ID of the sold-to contact associated with the credit memo item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `creditMemoItem.itemSoldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the credit memo item. Note: If you have the Flexible Billing Attributes feature disabled, the value of this field is null. - `creditMemoItem.itemType` (string) The type of the credit memo item. - `creditMemoItem.orderLineItemId` (string) The ID of the order line item associated with the credit memo item, if applicable. - `creditMemoItem.processingType` (string) The type of the charge for the credit memo item. - 0: Charge - 1: Discount Enum: "0", "1" - `creditMemoItem.quantity` (number) The number of units for the credit memo item. - `creditMemoItem.purchaseOrderNumber` (string) The purchase order number associated the credit memo item. - `creditMemoItem.creditFromItemSource` (string) The type of the credit from item. Enum: "InvoiceItem", "CreditMemoItem" - `creditMemoItem.creditFromItemId` (string) The ID of the credit from item. - `creditMemoItem.serviceEndDate` (string) The service end date of the credit memo item. - `creditMemoItem.serviceStartDate` (string) The service start date of the credit memo item. - `creditMemoItem.sku` (string) The SKU for the product associated with the credit memo item. - `creditMemoItem.sourceItemType` (string) The type of the source item. - If a credit memo is not created from an invoice or a product rate plan charge or a return order line item, the value of this field is SubscriptionComponent. - If a credit memo is created from an invoice, the value of this field is InvoiceDetail. - If a credit memo is created from a product rate plan charge, the value of this field is ProductRatePlanCharge. - If a credit memo is created from a return order line item, the value of this field is OrderLineItem. Enum: "SubscriptionComponent", "InvoiceDetail", "ProductRatePlanCharge", "OrderLineItem" - `creditMemoItem.subscriptionId` (string) The ID of the subscription associated with the credit memo item. - `creditMemoItem.taxMode` (string) The tax mode of the credit memo item, indicating whether the amount of the credit memo item includes tax. Enum: "TaxExclusive", "TaxInclusive" - `creditMemoItem.chargeName` (string) The name of the charge associated with the credit memo item. - `creditMemoItem.chargeNumber` (string) The number of the product rate plan charge that the credit memo is created from. - `creditMemoItem.taxAmount` (number) The amount of the tax applied to the credit memo item. - `creditMemoItem.taxCodeName` (string) The tax code identifies which tax rules and tax rates to apply to a specific credit memo item. - `creditMemoItem.taxExemptAmount` (number) The calculated tax amount excluded due to the exemption. - `creditMemoItem.unappliedAmount` (number) The unapplied amount of the credit memo item. - `creditMemoItem.unitOfMeasure` (string) The units to measure usage. - `creditMemoItem.unitPrice` (number) The per-unit price of the credit memo item. - `creditMemoItem.subscriptionNumber` (string) The number of the subscription associated with the credit memo item. - `creditMemoItem.invoiceItemId` (string) The ID of the invoice item associated with the credit memo item. - `creditMemoItem.productRatePlanChargeId` (string) The ID of the product rate plan charge that the credit memo is created from. - `creditMemoItem.ratePlanChargeId` (string) The ID of the rate plan charge associated with the credit memo item. - `creditMemoItem.revenueRecognitionRuleName` (string) The name of the revenue recognition rule governing the revenue schedule. - `creditMemoItem.revenueImpacting` (string) Indicates whether this write off operation impacts the revenue. If revenueImpacting = Yes, the deferred revenue accounting code will be automatically selected from the associated invoice. If revenueImpacting = No, users can select an accounting code such as bad-debt expense accounting code for the write off operation. Enum: "Yes", "No" - `creditMemoItem.creditMemoId` (string) The ID of the credit memo to which this credit memo item belongs. - `creditMemoItem.numberOfDeliveries` (number) The number of deliveries dedicated to the Delivery Pricing charges. The value might be different, as follows: - For the credit memo generated by a bill run, this field has a value. - For the credit memo generated from an invoice, this field is blank. Note: This field is available only if you have the Delivery Pricing feature enabled. - `creditMemoItem.recognizedRevenueAccountingCodeId` (string) The Recognized Revenue accounting code for the credit memo item. - `creditMemoItem.accountReceivableAccountingCodeId` (string) The Account Receivable accounting code for the credit memo item. - `creditMemoItem.onAccountAccountingCodeId` (string) The On Account accounting code for the credit memo item. - `creditMemoItem.deferredRevenueAccountingCodeId` (string) The Deferred Revenue accounting code for the credit memo item. - `creditMemoItem.journalEntryId` (string) The ID of the journal entry that corresponds to this transaction. - `creditMemoItem.shipToContactSnapshotId` (string) The ID of the ship-to contact snapshot associated with the credit memo. - `creditMemoItem.soldToContactSnapshotId` (string) The ID of the sold-to contact snapshot associated with the credit memo. - `creditMemoItem.billToContactSnapshotId` (string) The ID of the bill-to contact snapshot associated with the credit memo. - `creditMemoItem.subscription` (object) The subscription associated with the credit memo item. - `creditMemoItem.ratePlanCharge` (object) The rate plan charge associated with the credit memo item. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.